#!/bin/bash

# clean up
rm *.zip
rm *.pdf

# compile everything
cd ./Sources/
echo Started compiling the presentation ...
lualatex -shell-escape --jobname=main "\input{main}" > log
lualatex -shell-escape --jobname=main "\input{main}" > log
echo ... finished. Started compiling the presentation with the notes ...
lualatex -shell-escape --jobname=main-w-notes "\def\NOTES{}\input{main}" > log
lualatex -shell-escape --jobname=main-w-notes "\def\NOTES{}\input{main}" > log
echo ... finished. Started compiling the notes of the presentation ...
lualatex -shell-escape --jobname=main-o-notes "\def\ONLYNOTES{}\input{main}" > log
lualatex -shell-escape --jobname=main-o-notes "\def\ONLYNOTES{}\input{main}" > log
echo ... finished. Started compiling the handouts with the notes ...
lualatex -shell-escape --jobname=main-hw-notes "\def\HANDOUT{}\def\NOTES{}\input{main}" > log
lualatex -shell-escape --jobname=main-hw-notes "\def\HANDOUT{}\def\NOTES{}\input{main}" > log
echo ... finished. Started compiling the handouts without the notes ...
lualatex -shell-escape --jobname=main-hwo-notes "\def\HANDOUT{}\input{main}" > log
lualatex -shell-escape --jobname=main-hwo-notes "\def\HANDOUT{}\input{main}" > log
echo ... finished. Moving the files in their right place and exiting.
cd ../

# moving the .pdfs here
mv ./Sources/*.pdf ./

# clean up the log
rm ./Sources/log
rm ./Sources/*.aux
rm ./Sources/*.log
rm ./Sources/*.nav
rm ./Sources/*.out
rm ./Sources/*.snm
rm ./Sources/*.toc

